package goborator

import (
	"fmt"
	"os"
	"testing"
)

func TestGoborator(t *testing.T) {
	ob := NewGaborator(8192, 16000, 85, 110, 7040, 440, 128)
	defer ob.ProcessingFinished()

	file, err := os.Open("sample/test.raw")
	if err != nil {
		t.Error(err)
		return
	}
	ob.GaborTransform(file)
	for i, c := range ob.GetCoefficients() {
		fmt.Printf("%d: %+F\n", i, c)
	}
}
